Problema para instalar o Steam no Debian [RESOLVIDO]

1. Problema para instalar o Steam no Debian [RESOLVIDO]

Patrick Augusto
ptkato

(usa Debian)

Enviado em 30/01/2015 - 20:12h

Olá, meu sistema operacional é o Debian 7.8 (Wheezy) e estou enfrentando certos problemas para instalar o Steam.

Baixei o arquivo steam_latest.deb e quando tento instalar um erro surge:

>> This package is uninstallable
>> Dependency is not satisfiable: libc6 (>= 2.15)

Porém quando dou apt-get install libc6, diz que libc6 já é a versão mais nova.

Como eu posso resolvê-lo?


  


2. MELHOR RESPOSTA

Ruan
ruankl

(usa Debian)

Enviado em 30/01/2015 - 23:51h

ptkato escreveu:

Continua a não funcionar. Será que se voltar tudo ao estado inicial e começar do zero não aumentaria as chances de funcionar?


Tente com a libc-2.15 antes.

wget -c http://mirrors.kernel.org/ubuntu/pool/main/e/eglibc/libc6-i386_2.15-0ubuntu10_amd64.deb
ar p libc6-i386_2.15-0ubuntu10_amd64.deb data.tar.gz | tar -zxvf - ./lib32/libc-2.15.so
cp lib32/libc-2.15.so ~/.local/share/Steam/ubuntu12_32
cd ~/.local/share/Steam/ubuntu12_32
ln -sf libc-2.15.so libc.so.6
LD_LIBRARY_PATH=. ./steam



3. Re: Problema para instalar o Steam no Debian [RESOLVIDO]

Ruan
ruankl

(usa Debian)

Enviado em 30/01/2015 - 20:15h

Acredito que a steam necessite da libc mais recente, e o Debian stable provavelmente mantem uma versão bem antiga desse pacote.
Veja com um: dpkg -l | grep libc
- -
~ ruankf


4. Re: Problema para instalar o Steam no Debian [RESOLVIDO]

Patrick Augusto
ptkato

(usa Debian)

Enviado em 30/01/2015 - 21:13h

ru4n escreveu:

Acredito que a steam necessite da libc mais recente, e o Debian stable provavelmente mantem uma versão bem antiga desse pacote.
Veja com um: dpkg -l | grep libc
- -
~ ruankf


Não tenho muita experiência com Linux, o que devo procurar? Pois apareceram várias linhas.


5. Re: Problema para instalar o Steam no Debian [RESOLVIDO]

Ruan
ruankl

(usa Debian)

Enviado em 30/01/2015 - 21:20h

Não tenho muita experiência com Linux, o que devo procurar? Pois apareceram várias linhas.


Copie essas linhas e cole aqui.
- -
~ ruankf


6. Re: Problema para instalar o Steam no Debian [RESOLVIDO]

Patrick Augusto
ptkato

(usa Debian)

Enviado em 30/01/2015 - 21:24h

ii  klibc-utils                                  2.0.1-3.1                          amd64        small utilities built with klibc for early boot
ii libc-bin 2.13-38+deb7u7 amd64 Embedded GNU C Library: Binaries
ii libc6:amd64 2.13-38+deb7u7 amd64 Embedded GNU C Library: Shared libraries
ii libcaca0:amd64 0.99.beta18-1 amd64 colour ASCII art library
ii libcairo-gobject2:amd64 1.12.2-3 amd64 The Cairo 2D vector graphics library (GObject library)
ii libcairo-perl 1.090-2 amd64 Perl interface to the Cairo graphics library
ii libcairo2:amd64 1.12.2-3 amd64 The Cairo 2D vector graphics library
ii libcairomm-1.0-1 1.10.0-1 amd64 C++ wrappers for Cairo (shared libraries)
ii libcamel-1.2-33 3.4.4-3+deb7u1 amd64 Evolution MIME message handling library
ii libcanberra-gtk-module:amd64 0.28-6 amd64 translates GTK+ widgets signals to event sounds
ii libcanberra-gtk0:amd64 0.28-6 amd64 GTK+ helper for playing widget event sounds with libcanberra
ii libcanberra-gtk3-0:amd64 0.28-6 amd64 GTK+ 3.0 helper for playing widget event sounds with libcanberra
ii libcanberra-gtk3-module:amd64 0.28-6 amd64 translates GTK3 widgets signals to event sounds
ii libcanberra-pulse:amd64 0.28-6 amd64 PulseAudio backend for libcanberra
ii libcanberra0:amd64 0.28-6 amd64 simple abstract interface for playing event sounds
ii libcap-ng0 0.6.6-2 amd64 An alternate POSIX capabilities library
ii libcap2:amd64 1:2.22-1.2 amd64 support for getting/setting POSIX.1e capabilities
ii libcap2-bin 1:2.22-1.2 amd64 basic utility programs for using capabilities
ii libcaribou-common 0.4.4-1 all Configurable on screen keyboard with scanning mode - common files
ii libcaribou-gtk-module:amd64 0.4.4-1 amd64 Configurable on screen keyboard with scanning mode (GTK+ 2.0 module)
ii libcaribou-gtk3-module:amd64 0.4.4-1 amd64 Configurable on screen keyboard with scanning mode (GTK+ 3.0 module)
ii libcaribou0:amd64 0.4.4-1 amd64 Configurable on screen keyboard with scanning mode - library
ii libcdaudio1 0.99.12p2-12 amd64 library for controlling a CD-ROM when playing audio CDs
ii libcdio-cdda1 0.83-4 amd64 library to read and control digital audio CDs
ii libcdio-paranoia1 0.83-4 amd64 library to read digital audio CDs with error correction
ii libcdio13 0.83-4 amd64 library to read and control CD-ROM
ii libcdparanoia0 3.10.2+debian-10.1 amd64 audio extraction tool for sampling CDs (library)
ii libchamplain-0.12-0:amd64 0.12.3-1 amd64 C library providing ClutterActor to display maps
ii libchamplain-gtk-0.12-0:amd64 0.12.3-1 amd64 Gtk+ widget to display maps
ii libcheese-gtk21:amd64 3.4.2-2 amd64 tool to take pictures and videos from your webcam - widgets
ii libcheese3:amd64 3.4.2-2 amd64 tool to take pictures and videos from your webcam - base library
ii libck-connector0:amd64 0.4.5-3.1 amd64 ConsoleKit libraries
ii libclass-isa-perl 0.36-3 all report the search path for a class's ISA tree
ii libclutter-1.0-0:amd64 1.10.8-2 amd64 Open GL based interactive canvas library
ii libclutter-1.0-common 1.10.8-2 all Open GL based interactive canvas library (common files)
ii libclutter-gst-1.0-0:amd64 1.5.4-1+build0 amd64 Open GL based interactive canvas library GStreamer elements
ii libclutter-gtk-1.0-0:amd64 1.2.0-2 amd64 Open GL based interactive canvas library GTK+ widget
ii libclutter-imcontext-0.1-0:amd64 0.1.4-3 amd64 Open GL based interactive canvas library IMContext framework
ii libclutter-imcontext-0.1-bin 0.1.4-3 amd64 Open GL based interactive canvas library IMContext framework
ii libcluttergesture-0.0.2-0:amd64 0.0.2.1-7 amd64 Open GL based interactive canvas library Gesture framework
ii libcmis-0.2-0 0.1.0-1+b1 amd64 CMIS protocol client library
ii libcogl-common 1.10.2-7 all Object oriented GL/GLES Abstraction/Utility Layer (common files)
ii libcogl-pango0:amd64 1.10.2-7 amd64 Object oriented GL/GLES Abstraction/Utility Layer
ii libcogl9:amd64 1.10.2-7 amd64 Object oriented GL/GLES Abstraction/Utility Layer
ii libcolamd2.7.1 1:3.4.0-3 amd64 column approximate minimum degree ordering library for sparse matrices
ii libcolorblind0 0.0.1-1 amd64 Pixel Filter for colorblind accessibility
ii libcolord1:amd64 0.1.21-1 amd64 system service to manage device colour profiles -- runtime
ii libcomerr2:amd64 1.42.5-1.1 amd64 common error description library
ii libcommons-beanutils-java 1.8.3-3 all utility for manipulating JavaBeans
ii libcommons-collections3-java 3.2.1-5 all A set of abstract data type interfaces and implementations
ii libcommons-compress-java 1.4.1-2 all Java API for working with tar, zip and bzip2 files
ii libcommons-digester-java 1.8.1-3 all Rule based XML Java object mapping tool
ii libcommons-logging-java 1.1.1-9 all commmon wrapper interface for several logging APIs
ii libcommons-parent-java 22-2 all Maven metadata for Apache Commons project
ii libcpufreq0 008-1 amd64 shared library to deal with the cpufreq Linux kernel feature
ii libcroco3:amd64 0.6.6-2 amd64 Cascading Style Sheet (CSS) parsing and manipulation toolkit
ii libcryptsetup4 2:1.4.3-4 amd64 disk encryption support - shared library
ii libcups2:amd64 1.5.3-5+deb7u4 amd64 Common UNIX Printing System(tm) - Core library
ii libcupsimage2:amd64 1.5.3-5+deb7u4 amd64 Common UNIX Printing System(tm) - Raster image library
ii libcurl3-gnutls:amd64 7.26.0-1+wheezy12 amd64 easy-to-use client-side URL transfer library (GnuTLS flavour)
ii libcwidget3 0.5.16-3.4 amd64 high-level terminal interface library for C++ (runtime files)
ii libklibc 2.0.1-3.1 amd64 minimal libc subset for use with initramfs
ii liblocale-gettext-perl 1.05-7+b1 amd64 module using libc functions for internationalization in Perl
ii python-pycurl 7.19.0-5 amd64 Python bindings to libcurl



7. Re: Problema para instalar o Steam no Debian [RESOLVIDO]

Ruan
ruankl

(usa Debian)

Enviado em 30/01/2015 - 21:28h


ii libc6:amd64 2.13-38+deb7u7

Seu libc: 2.13 (Steam requer o 2.15)
Realmente é a versão antiga. O Debian wheezy mantem pacotes antigos para se manter estável. Veja essa dica:
http://www.vivaolinux.com.br/dica/Steam-no-Debian-Wheezy
- -
~ ruankf


8. Re: Problema para instalar o Steam no Debian [RESOLVIDO]

Patrick Augusto
ptkato

(usa Debian)

Enviado em 30/01/2015 - 21:52h

Fiz o que está lá, instalou, porém agora o Steam fica travado na tela antes de logar, com 3 botões (criar uma conta, jogadores do ps3 e logar em conta existente), não dá nem pra fechar, só matando o processo.

Como posso consertar isso?


9. Re: Problema para instalar o Steam no Debian [RESOLVIDO]

Ruan
ruankl

(usa Debian)

Enviado em 30/01/2015 - 21:56h

ptkato escreveu:

Fiz o que está lá, instalou, porém agora o Steam fica travado na tela antes de logar, com 3 botões (criar uma conta, jogadores do ps3 e logar em conta existente), não dá nem pra fechar, só matando o processo.

Como posso consertar isso?


Rode o steam pelo Terminal e poste a saída aqui. Sua placa de vídeo é off?

- -
~ ruankf


10. Re: Problema para instalar o Steam no Debian [RESOLVIDO]

Patrick Augusto
ptkato

(usa Debian)

Enviado em 30/01/2015 - 22:00h

ru4n escreveu:

ptkato escreveu:

Fiz o que está lá, instalou, porém agora o Steam fica travado na tela antes de logar, com 3 botões (criar uma conta, jogadores do ps3 e logar em conta existente), não dá nem pra fechar, só matando o processo.

Como posso consertar isso?


Rode o steam pelo Terminal e poste a saída aqui. Sua placa de vídeo é off?

- -
~ ruankf

Não, minha placa de vídeo é onboard.

Running Steam on debian 7 64-bit
STEAM_RUNTIME is enabled automatically
Error: You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6
Error:
You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6
Press enter to continue:
/home/ptkato/.local/share/Steam/ubuntu12_32/steam: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not found (required by /home/ptkato/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6)
Installing bootstrap /home/ptkato/.local/share/Steam/bootstrap.tar.xz
Reset complete!
Restarting Steam by request...
Running Steam on debian 7 64-bit
STEAM_RUNTIME has been set by the user to: /home/ptkato/.local/share/Steam/ubuntu12_32/steam-runtime
/home/ptkato/.local/share/Steam/ubuntu12_32/steam: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not found (required by /home/ptkato/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6)
/home/ptkato/.local/share/Steam/ubuntu12_32/steam: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not found (required by /home/ptkato/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6)




11. Re: Problema para instalar o Steam no Debian [RESOLVIDO]

Ruan
ruankl

(usa Debian)

Enviado em 30/01/2015 - 22:12h

Instale as libs 32 do libc:

sudo apt-get install libc6:i386


Depois tente executá-lo novamente.

- -
~ ruankf


12. Re: Problema para instalar o Steam no Debian [RESOLVIDO]

Patrick Augusto
ptkato

(usa Debian)

Enviado em 30/01/2015 - 22:21h

Instalei, porém apareceu o seguinte:
Reading package lists... Done
Building dependency tree
Reading state information... Done
libc6:i386 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.


Executei o steam pelo terminal, após aparecer o que está abaixo, nada aconteceu.
Running Steam on debian 7 64-bit
STEAM_RUNTIME is enabled automatically
/home/ptkato/.local/share/Steam/ubuntu12_32/steam: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not found (required by /home/ptkato/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6)
/home/ptkato/.local/share/Steam/ubuntu12_32/steam: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not found (required by /home/ptkato/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6)
mv: cannot stat `/home/ptkato/.steam/registry.vdf': No such file or directory
Installing bootstrap /home/ptkato/.local/share/Steam/bootstrap.tar.xz
Reset complete!
Restarting Steam by request...
Running Steam on debian 7 64-bit
STEAM_RUNTIME has been set by the user to: /home/ptkato/.local/share/Steam/ubuntu12_32/steam-runtime
/home/ptkato/.local/share/Steam/ubuntu12_32/steam: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not found (required by /home/ptkato/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6)
/home/ptkato/.local/share/Steam/ubuntu12_32/steam: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not found (required by /home/ptkato/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6)


Tentei executar sem ser pelo terminal, mas continuou a mesma coisa, congelando.



01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts